#
# Cookbook:: cifs_mounter
# Recipe:: default
#
# Copyright:: 2019, The Authors, All Rights Reserved.


node.default['cifs']['username'] = ' '
node.default['cifs']['password'] = ' '
node.default['cifs']['credential_file']=' '
node.default['cifs']['dir_name']=' '
node.default['cifs']['fstab_entry']=' ' 


bash 'install' do
user 'root'
cwd '/'
code <<-EOH
 yum -y install cifs-utils

EOH
end

# Credentials files
# #bag = node['cifs']['password_data_bag']
# #credentials = Chef::EncryptedDataBagItem.load(bag, 'cifs') rescue nil


template node['cifs']['credential_file'] do
source 'credentials.erb'
 owner 'root'
 group 'root'
 mode '0600'

 variables(username: node['cifs']['username'],
           password: node['cifs']['password'])

end

bash 'create directory' do
 user 'root'
 cwd '/'
 code <<-EOH
mkdir -p #{node['cifs']['dir_name']}
EOH
not_if { ::File.directory?("#{node['cifs']['dir_name']}") }
end


bash 'fstab' do
 user 'root'
 cwd '/'
 code <<-EOH
 echo #{node['cifs']['fstab_entry']} >> /etc/fstab
 mount #{node['cifs']['dir_name']}
 mkdir -p /opt/mnt
 touch /opt#{node['cifs']['dir_name']}

EOH
not_if { ::File.exists?("/opt#{node['cifs']['dir_name']}") }
end
                               
